summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-04-15 23:28:33 +0200
committer Eric Hameleers <alien@slackware.com>2018-04-15 23:28:33 +0200
commit3af8ea384ba5899bb6c70fbdd47ae877a04b4321 (patch)
tree40cfb344835a29c969a1d3f641a89cd067505de3
parentd14838969031c9413c36700b945950f223237c74 (diff)
downloadktown-3af8ea384ba5899bb6c70fbdd47ae877a04b4321.tar.gz
ktown-3af8ea384ba5899bb6c70fbdd47ae877a04b4321.tar.xz
Update mlt and qt5
A newer mlt was required by kdenlive. And a new version of Qt 5.9 is always a good thing.
-rwxr-xr-xdeps/alldeps.SlackBuild1
-rw-r--r--deps/mlt/.url2
-rwxr-xr-xdeps/mlt/mlt.SlackBuild21
-rw-r--r--deps/qt5/.url2
-rwxr-xr-xdeps/qt5/qt5.SlackBuild19
-rwxr-xr-xdeps/updates.SlackBuild1
6 files changed, 16 insertions, 30 deletions
diff --git a/deps/alldeps.SlackBuild b/deps/alldeps.SlackBuild
index 3d4063a..ab36d62 100755
--- a/deps/alldeps.SlackBuild
+++ b/deps/alldeps.SlackBuild
@@ -31,6 +31,7 @@ ALLDEPS=" \
sip \
PyQt \
PyQt5 \
+ QScintilla \
qca-qt5 \
libdbusmenu-qt5 \
polkit-qt-1 \
diff --git a/deps/mlt/.url b/deps/mlt/.url
index 5ef8f2a..dea6050 100644
--- a/deps/mlt/.url
+++ b/deps/mlt/.url
@@ -1,2 +1,2 @@
-http://downloads.sourceforge.net/mlt/mlt-6.4.1.tar.gz
+https://github.com/mltframework/mlt/archive/v6.6.0.tar.gz
diff --git a/deps/mlt/mlt.SlackBuild b/deps/mlt/mlt.SlackBuild
index 6608b94..b478645 100755
--- a/deps/mlt/mlt.SlackBuild
+++ b/deps/mlt/mlt.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2017 Eric Hameleers, Eindhoven, NL
+# Copyright 2017,2018 Eric Hameleers, Eindhoven, NL
# Copyright 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -25,8 +25,8 @@
PKGNAM=mlt
-VERSION=${VERSION:-6.4.1}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-6.6.0}
+BUILD=${BUILD:-1}
PYTHONSITEPKG=$(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
@@ -37,7 +37,7 @@ PKG=$TMP/package-$PKGNAM
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$(uname -m) ;;
@@ -45,8 +45,8 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
@@ -75,15 +75,6 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
-# Fix compilation against Qt >= 5.7 (error "Qt requires C++11 support"):
-cat $CWD/patches/mlt_qt5.patch | patch -p1 --verbose || exit 1
-
-# Fix compilation against glibc 2.26:
-cat $CWD/patches/mlt_glibc226.patch | patch -p1 --verbose || exit 1
-
-# Prevent kdenlive from crashing on exit:
-cat $CWD/patches/mlt_repository_close.patch | patch -p1 --verbose || exit 1
-
# Fix bogus permissions:
chown -R root:root .
find . \
diff --git a/deps/qt5/.url b/deps/qt5/.url
index 685d8f4..a8f964a 100644
--- a/deps/qt5/.url
+++ b/deps/qt5/.url
@@ -1 +1 @@
-https://download.qt.io/archive/qt/5.9/5.9.4/single/qt-everywhere-opensource-src-5.9.4.tar.xz
+http://download.qt.io/official_releases/qt/5.9/5.9.5/single/qt-everywhere-opensource-src-5.9.5.tar.xz
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index e70e42a..48f973f 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -54,10 +54,11 @@
# Modifications for qt 5.9.2 2017 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.9.3 2017 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.9.4 2018 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.9.5 2018 by Eric Hameleers, Eindhoven, NL
PKGNAM=qt5
-VERSION=${VERSION:-5.9.4}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-5.9.5}
+BUILD=${BUILD:-1}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
@@ -139,16 +140,6 @@ fi
# Fix path to mysql header:
cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
-# Fix a bug, evident in Plasma5 where drag'n'drop makes wrong icon hover:
-cd qtbase
- cat $CWD/patches/qt5.qtbug-66103.patch | patch -p1 --verbose || exit 1
-cd -
-
-# Extend the MariaDB define check to cover the later versions too:
-cd qtbase
- cat $CWD/patches/qt5.cr206850.patch | patch -p1 --verbose || exit 1
-cd -
-
# Fix missing private includes: QTBUG-37417
sed -e '/CMAKE_NO_PRIVATE_INCLUDES\ \=\ true/d' \
-i qtbase/mkspecs/features/create_cmake.prf
@@ -162,8 +153,10 @@ else
PACONF=" "
fi
-sed -i -e "s/-O2/$SLKCFLAGS/" qtbase/mkspecs/common/g++-base.conf || exit 1
+# Use our custom compiler and linker flags:
+#sed -i -e "s/-O2/$SLKCFLAGS/" qtbase/mkspecs/common/g++-base.conf || exit 1
sed -i -e "s/-O2/$SLKCFLAGS/" qtbase/mkspecs/common/gcc-base.conf || exit 1
+sed -i -e "s/-O3/$SLKCFLAGS/" qtbase/mkspecs/common/gcc-base.conf || exit 1
sed -i -e "/^QMAKE_LFLAGS\s/s,+=,+= $SLKLDFLAGS,g" qtbase/mkspecs/common/gcc-base.conf || exit 1
# Enable h.264 codec support:
diff --git a/deps/updates.SlackBuild b/deps/updates.SlackBuild
index 21865f5..380d529 100755
--- a/deps/updates.SlackBuild
+++ b/deps/updates.SlackBuild
@@ -32,6 +32,7 @@ ALLDEPS=" \
sip \
PyQt \
PyQt5 \
+ QScintilla \
polkit-qt5-1 \
grantlee \
grantlee-qt4 \